Subject: [PATCH 0/12 net-2.6.25] [NETNS]: Routing namespacing on IP output path.

From: "Denis V. Lunev" <[email-masked]>
Date: Tue, 22 Jan 2008 18:58:54 +0300

This set introduces namespacing in the IP output path. The namespace is
added to all routing API functions except ones with a valid socket. This
is very intrusive.

Routing cache is virtualized as a part of this efforts, though the hash
function is not tuned to use namespace id. This not required to work in
initial namespace.

ICMP replies now also use correct namespace.

Signed-off-by: Denis V. Lunev <[email-masked]>